DMI_CHECK_SYSTEM(9)

NAME
dmi_check_system - check system DMI data

SYNOPSIS

int dmi_check_system(const struct dmi_system_id * list);

ARGUMENTS

list
    array of dmi_system_id structures to match against All non-null elements of the list must match their slot's (field index's) data (i.e., each list string must be a substring of the specified DMI slot's string data) to be considered a successful match.

DESCRIPTION

Walk the blacklist table running matching functions until someone returns non zero or we hit the end. Callback function is called for each successful match. Returns the number of matches.

COPYRIGHT